NAME(3)

NAME
krb5_crypto_destroy, krb5_crypto_init - encryption support in krb5

LIBRARY
Kerberos 5 Library (libkrb5, -lkrb5)

SYNOPSIS
#include <krb5.h>
krb5_error_code
krb5_crypto_init(krb5_context context, krb5_keyblock *key, krb5_enctype enctype, krb5_crypto *crypto);
krb5_error_code
krb5_crypto_destroy(krb5_context context, krb5_crypto crypto);

DESCRIPTION
Heimdal exports parts of the Kerberos crypto interface for applications.

Each kerberos encrytion/checksum function takes a crypto context.

To setup and destroy crypto contextes there are two functions krb5_crypto_init() and krb5_crypto_destroy(). The encryption type to use is taken from the key, but can be overridden with the enctype parameter. This can be useful for encryptions types which is compatiable (DES for example).

SEE ALSO
krb5_create_checksum(3), krb5_encrypt(3)